function [mcx, mcz] = cdrmargin(xpca,xdet)
% xpca is the cdr for the proposed detector
% xdet is the cdr of any other detector
% the null hypothesis is: On average, the xpca does not achieve higher cdr than xdet
% mcx, mcz are calculated cdr margins. The value of '-1' means that the null hypothesis cannot be rejected for any positive margin.
 
mcx = -1;
mcz = -1;

for m = 0:0.1:100,
    [h,p,ci,stats] = ttest(xpca(:,1), xdet(:,1) + m, 'tail', 'right');
    if (h==1),
        mcx = m;
    end
end

for m = 0:0.1:100,
    [h,p,ci,stats] = ttest(xpca(:,2), xdet(:,2) + m, 'tail', 'right');
    if (h==1),
        mcz = m;
    end
end
