function [Xpc1, Xpc2, Xpc3, Xpc4, Xpc5, Xpc6, Xpc7] = trainPCAf(x, N)

rx = size(x,1);
cx = size(x,2);
Nr = floor(rx/N);
Nc = floor(cx/N);

temps = Nr*Nc;

S1 = 0; S2 = 0;
if N==32, Nf = 32; S1 = 1; S2 = 0; end

res = zeros(Nf,Nf,temps);
ind = 0;

for r = 1:Nr,
    for c = 1:Nc,
        ind = ind + 1;
        res(:,:,ind) = x((r-1)*N+S1:r*N-S2,(c-1)*N+S1:c*N-S2);
        meanv = mean2(res(:,:,ind));
        res(:,:,ind) = res(:,:,ind) - meanv;
        res(:,:,ind) = res(:,:,ind)/sqrt(sum2(res(:,:,ind).*res(:,:,ind)));
    end
end

X = reshape(res, Nf*Nf, temps);

[coeff,scores,latent,tsquared,explained,mu] = pca(X);
Xtr = X*coeff;

Xpc1 = reshape(scores(:,1),Nf,Nf);
Xpc2 = reshape(scores(:,2),Nf,Nf);
Xpc3 = reshape(scores(:,3),Nf,Nf);
Xpc4 = reshape(scores(:,4),Nf,Nf);
Xpc5 = reshape(scores(:,5),Nf,Nf);
Xpc6 = reshape(scores(:,6),Nf,Nf);
Xpc7 = reshape(scores(:,7),Nf,Nf);

